Loading...
Searching...
No Matches
mdns_request Struct Reference

`#include <mdns_priv.h>`

## Data Fields

char | name [63+1]
struct mdns_domain | service
search_result_fn_t | result_fn
u16_t | proto
u8_t | qtype
u16_t | only_ptr

## Detailed Description

Description of a search request

## Field Documentation

## name

char mdns_request::name[63+1]

Name of service, like 'myweb'

## only_ptr

u16_t mdns_request::only_ptr

PTR only request.

## proto

u16_t mdns_request::proto

Protocol, TCP or UDP

## qtype

u8_t mdns_request::qtype

Query type (PTR, SRV, ...)

## result_fn

search_result_fn_t mdns_request::result_fn

Callback function called for each response

## service

struct mdns_domain mdns_request::service

Type of service, like '_http' or '_services._dns-sd'

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h